#include <esp_now.h>
#include <WiFi.h>

#define motorPin   32

// Structure example to receive data
// Must match the sender structure
typedef struct struct_message {
  int buttonValue;
} struct_message;

int motorState;

// Create a struct_message called myData
struct_message readingData;

// callback function that will be executed when data is received
void OnDataRecv(const uint8_t * mac, const uint8_t *incomingData, int len) {
  memcpy(&readingData, incomingData, sizeof(readingData));
  Serial.print("Bytes received: ");
  Serial.println(len);
  
  motorState = readingData.buttonValue;
  Serial.print("buttonValue: ");
  Serial.println(readingData.buttonValue);
  Serial.println();
  digitalWrite(motorPin, motorState);
}
 
void setup() {
  // Initialize Serial Monitor
  Serial.begin(115200);
  pinMode(motorPin, OUTPUT);
  
  // Set device as a Wi-Fi Station
  WiFi.mode(WIFI_STA);

  // Init ESP-NOW
  if (esp_now_init() != ESP_OK) {
    Serial.println("Error initializing ESP-NOW");
    return;
  }
  
  // Once ESPNow is successfully Init, we will register for recv CB to
  // get recv packer info
  esp_now_register_recv_cb(OnDataRecv);
}
 
void loop() {

}
